@echo off
rem Set variables
set LIB_DIR=..\..\lib

rem Create the %LIB_DIR% directory if it does not exist
if not exist %LIB_DIR% mkdir %LIB_DIR%

if "%1"=="/clean" (
    goto clean
)

rem Set the environment for the x64 platform
call "C:\Program Files\Microsoft Visual Studio\2022\Community\VC\Auxiliary\Build\vcvarsall.bat" x64

rem Create a ssvw64.lib file from the ssvw64.def file
lib /def:ssvw64.def /out:%LIB_DIR%\ssvw64.lib /machine:x64

rem Build complete
pause
exit /b 0

:clean
del %LIB_DIR%\*.lib
del %LIB_DIR%\*.exp

rem Clean complete
pause
exit /b 0
